package cd;

import javax.ejb.CreateException;
import javax.ejb.EntityBean;

/** 
 * @ejb.bean
 *  type="CMP"
 *  name="CD"
 *  primkey-field="name"
 *  view-type="remote"
 * 
 * @ejb.finder
 *  signature="Collection findAll()"
 *  transaction-type="NotSupported"
 * @ejb.persistence
 *  table-name="cd"
 */
public abstract class CDBean implements EntityBean {

	/**
	 * @ejb.interface-method
	 * @ejb.pk-field
	 *
	 * @ejb.persistence
	 *  column-name="name"
	 *  sql-type="VARCHAR"
	 */
	public abstract String getName();

	/**
	 * @ejb.interface-method
	 */
	public abstract void setName(String name);

	/**
	 * @ejb.interface-method
	 * @ejb.persistence
	 *  column-name="artist"
	 *  sql-type="VARCHAR"
	 */
	public abstract String getArtist();

	/**
	 * @ejb.interface-method
	 */
	public abstract void setArtist(String name);

	/**
	 * @ejb.create-method
	 */
	public String ejbCreate(String name) throws CreateException {
		setName(name);
		return null;
	}

}